org.apache.lucene.search

## Class CheckHits.MatchesAsserter

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.lucene.search.CheckHits.MatchesAsserter

- All Implemented Interfaces:
    Collector, LeafCollector
  Enclosing class:
    CheckHits

      public static class CheckHits.MatchesAsserter
      extends SimpleCollector

  Asserts that the `Matches` from a query is non-null whenever the document its created for is a hit. Also checks that the previous non-matching document has a `null` `Matches`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchesAsserter(Query query, IndexSearcher searcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)`
    `protected void` | `doSetNextReader(LeafReaderContext context)`
    `ScoreMode` | `scoreMode()`

    - ### Methods inherited from class org.apache.lucene.search.SimpleCollector

      `getLeafCollector, setScorer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.search.LeafCollector

      `competitiveIterator`

- - ### Constructor Detail

    - #### MatchesAsserter

          public MatchesAsserter(Query query,
                                 IndexSearcher searcher)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doSetNextReader

          protected void doSetNextReader(LeafReaderContext context)
                                  throws IOException

      Overrides:
        `doSetNextReader` in class `SimpleCollector`
      Throws:
        `IOException`

    - #### collect

          public void collect(int doc)
                       throws IOException

      Specified by:
        `collect` in interface `LeafCollector`
      Specified by:
        `collect` in class `SimpleCollector`
      Throws:
        `IOException`

    - #### scoreMode

          public ScoreMode scoreMode()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.